summaryrefslogtreecommitdiffstats
path: root/recordmydesktop
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-11-29 22:52:48 +0000
committer Eric Hameleers <alien@slackware.com>2013-11-29 22:52:48 +0000
commitca964f661760b19013c2e6c4c8a8f3d9fa8ba61a (patch)
tree9971093e801d8d99b6f483efa3743a90edbe08e9 /recordmydesktop
parent165416b14f3c0594d1e21b150bddded0a7e728e1 (diff)
downloadasb-ca964f661760b19013c2e6c4c8a8f3d9fa8ba61a.tar.gz
asb-ca964f661760b19013c2e6c4c8a8f3d9fa8ba61a.tar.xz
Apply two patches to make the Advanced button work
Diffstat (limited to 'recordmydesktop')
-rwxr-xr-xrecordmydesktop/build/recordmydesktop.SlackBuild51
1 files changed, 42 insertions, 9 deletions
diff --git a/recordmydesktop/build/recordmydesktop.SlackBuild b/recordmydesktop/build/recordmydesktop.SlackBuild
index 978f81e9..560c6f89 100755
--- a/recordmydesktop/build/recordmydesktop.SlackBuild
+++ b/recordmydesktop/build/recordmydesktop.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2008, 2009, 2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009, 2012, 2013 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -36,6 +36,9 @@
# * Rebuilt for python 2.6.2.
# 0.3.8.1-3: 27/sep/2012 by Eric Hameleers <alien@slackware.com>
# * Rebuilt for Slackware 13.37 and 14.0.
+# 0.3.8.1-4: 20/nov/2013 by Eric Hameleers <alien@slackware.com>
+# * Rebuilt for Slackware 14.1, applying a patch that makes the
+# 'advanced' button work again.
#
# Run 'sh recordmydesktop.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -48,8 +51,7 @@
PRGNAM=recordmydesktop
VERSION=${VERSION:-0.3.8.1}
QTVER=${QTVER:-0.3.8}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TAG=${TAG:-"alien"}
NUMJOBS=${NUMJOBS:" -j4 "}
@@ -74,12 +76,18 @@ SRCURL[1]="http://downloads.sourceforge.net/${PRGNAM}/qt-${PRGNAM}-${QTVER}.tar.
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ armv6hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -91,6 +99,9 @@ case "$ARCH" in
armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
+ armv6hl) SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
*) SLKCFLAGS=${SLKCFLAGS:-"O2"}
SLKLDFLAGS=${SLKLDFLAGS:-""}; LIBDIRSUFFIX=${LIBDIRSUFFIX:-""}
;;
@@ -101,6 +112,17 @@ case "ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
@@ -148,6 +170,14 @@ echo "Extracting the source archive(s) for $PRGNAM..."
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
tar -xvf ${SOURCE[$i]}
done
+
+# Patch out some issues:
+cd ${PRGNAM}-${VERSION}
+zcat $SRCDIR/recordmydesktop_jackd.patch.gz \
+ | patch -p1 --verbose 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+zcat $SRCDIR/recordmydesktop_selectwindow.patch.gz \
+ | patch -p1 --verbose 2>&1 | tee $OUTPUT/patch-${PRGNAM}.log
+cd ..
chown -R root:root *
chmod -R u+w,go+r-w,a-s *
@@ -254,3 +284,6 @@ if [ -f $PKG/install/slack-required ]; then
cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
fi
+# Restore the original umask:
+umask ${_UMASK_}
+